/*
    This file is part of the 'yarec' package.
    Copyright (C) 1998  Ralf W. Stephan <stephan@tmt.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    See also http://www.gnu.org
*/

int Thread_start (void* (*func)(void*), int);
void Thread_blockallsigs();
void Thread_init_mutexes (int n);
void Thread_mutex_lock (int n);
void Thread_mutex_unlock (int n);
void Thread_yield();
void Thread_kill (int, int);
void Thread_join (int n);
void Thread_exit();

